summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorDavid Jander <david@protonic.nl>2022-05-03 09:50:29 +0200
committerMichael Olbrich <m.olbrich@pengutronix.de>2022-05-06 19:54:58 +0200
commit7d53d288fbfc7eb237d5149fac393f11e042e3de (patch)
tree4bdf71d9c9fb7af76961194d27bf4039e9e23598 /scripts
parentaa3d464776c5573b8bcfe9953682db715ed6f375 (diff)
downloadptxdist-7d53d288fbfc7eb237d5149fac393f11e042e3de.tar.gz
ptxdist-7d53d288fbfc7eb237d5149fac393f11e042e3de.tar.xz
python3: version bump 3.7.10 -> 3.10.4
Besides version 3.7.10 being quite outdated, it lacks support for the Linux kernel-based j1939 CAN protocol stack. Signed-off-by: David Jander <david@protonic.nl> Message-Id: <20220503075029.1429521-3-david@protonic.nl> [mol: $(PYTHON3_MAJORMINOR)m -> $(PYTHON3_MAJORMINOR) in other rules as well] Signed-off-by: Michael Olbrich <m.olbrich@pengutronix.de>
Diffstat (limited to 'scripts')
-rw-r--r--scripts/lib/ptxd_make_world_install.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/lib/ptxd_make_world_install.sh b/scripts/lib/ptxd_make_world_install.sh
index 89dde2227..92cdcadfa 100644
--- a/scripts/lib/ptxd_make_world_install.sh
+++ b/scripts/lib/ptxd_make_world_install.sh
@@ -37,7 +37,7 @@ ptxd_make_world_install_python_cleanup() {
# not python3 or already handled
continue
fi
- cp -v "$(dirname "${file}")/__pycache__/$(basename "${file%py}")"cpython-??.pyc "${file}c" || return
+ cp -v "$(dirname "${file}")/__pycache__/$(basename "${file%py}")"cpython-???.pyc "${file}c" || return
done &&
check_pipe_status &&
find "${pkg_pkg_dir}" -type d -name __pycache__ -print0 | xargs -0 rm -rf &&